Comme annoncé, ce forum est passé en lecture seule au 1er janvier 2020. Désormais nous vous invitons à vous rendre sur notre nouvelle page communauté :
Image

A très bientôt !

[Sujet officiel] Plugin Monitoring

benj29
Actif
Messages : 3983
Inscription : 26 mars 2017, 09:57
Contact :

Re: [Sujet officiel] Plugin Monitoring

Message par benj29 » 12 sept. 2019, 12:11

Almy a écrit :
12 sept. 2019, 11:51
Ok pour Jeedom c'est une smart
Pour le NAS un DS218 et un DS411+
C'est une PI donc ?

Image

Ce serait bien de se gratter un peu la tête au lieu d'attendre que ça tombe tout cuit.
Suis ce que je t'ai écrit plus haut pour tes NAS. Regarde leurs specs
... cela dépend de chacun !

Avatar de l’utilisateur
Darkeyes
Actif
Messages : 1287
Inscription : 02 avr. 2015, 08:37

Re: [Sujet officiel] Plugin Monitoring

Message par Darkeyes » 12 sept. 2019, 12:20

Jef73 a écrit :
11 sept. 2019, 08:48
Jef73 a écrit :
09 sept. 2019, 18:21
flowent59 a écrit :
09 sept. 2019, 16:44
Bonjour,

Je me permet de poster un message concernant un petit problème de récupération d'info sur les données réseau pour mon Jeedom en local.
Image
Comme nous pouvons le voir, la ligne réseau est vide, alors que pour mon NAS la ligne est effectivement renseignée.

Au début la ligne pour mon Jeedom été renseignée également, mais depuis plusieurs semaines c'est vide et je ne sais pas pourquoi; même après redémarrage.

Quelqu'un aurait la même chose?

Haaaaa, je pensais être le seul et je ne comprenais pas pourquoi !!??? :shock:
J'ai exactement la même chose, mais sur un seul de mes R.PI et c'est également survenu il y a plusieurs semaines (je dirais même 2 ou 3 mois à vue de nez). Mes deux autres R.PI 3B(+) n'ont pas l'anomalie et mon Zero non plus :?

Pour d'autres raisons, je viens de faire un full update & upgrade de ce 3B, pour le basculer sur une machine 3B+ => le problème a suivi la mise à jour :cry:

Quand je bascule sur la carte Wi-Fi de la machine, j'ai bien des valeurs qui remontent. Dès que je revient sur la carte Ethernet, c'est aussi désert que le dessus de crane de Kojak :mrgreen:


Je me suis tâté à recréer cet équipement, mais j'ai plein d'alertes automatiques et de scénarios qui vont probablement morfler et je n'ai pas envie de repasser partout sans être certain que cela résolve le problème ...
Nous ne sommes que deux à avoir ce problème de perte d'informations sur la carte réseau d'un équipement ?
C'est étonnant qu'une coïncidence soit aussi ciblée que ça quand même :shock:

Pour ma part, je n'ai strictement rien dans le log, hormis les informations de "Connexion SSH KO pour xxx" à chaque fois qu'un appareil monitoré redémarre :(
Salut a vous pour votre problèm de carte réseau.

allez sur votre équipement en ssh et faites:

Code : Tout sélectionner

cat /etc/network/interfaces
vous récupérez le nom de votre interface moi c'était "ens18"

Ensuite sur votre équipement dans jeedom:
Vous mettez carte réseau >> autre
Nom de la carte réseau >> ens18 (pour moi)
Local ou déporté dépend s'il sagit du jeedom ou autre.

ça marche chez moi
Développement script:
- ssh_commande.php
- ip_public.sh
- BackupSamba.sh

djelau
Timide
Messages : 6
Inscription : 10 sept. 2019, 10:08

Re: [Sujet officiel] Plugin Monitoring

Message par djelau » 12 sept. 2019, 17:38

Bonjour à tous,

question de neophyte: comment récuperer la version de ce plugin compatible avec Jeedom v3.x. Celui sur le market est pour Jeedom v4 et bien évidemment ce n'est pas compatible avec ma Jeedom actuelle.

Jef73
Timide
Messages : 366
Inscription : 27 déc. 2017, 10:41
Localisation : Nantes

Re: [Sujet officiel] Plugin Monitoring

Message par Jef73 » 12 sept. 2019, 18:34

Darkeyes a écrit :
12 sept. 2019, 12:20
Salut a vous pour votre problèm de carte réseau.

allez sur votre équipement en ssh et faites:

Code : Tout sélectionner

cat /etc/network/interfaces
vous récupérez le nom de votre interface moi c'était "ens18"

Ensuite sur votre équipement dans jeedom:
Vous mettez carte réseau >> autre
Nom de la carte réseau >> ens18 (pour moi)
Local ou déporté dépend s'il sagit du jeedom ou autre.

ça marche chez moi
Merci pour l'info, mais ça ne fonctionne pas chez moi, ça ne me retourne que du texte :

Code : Tout sélectionner

# interfaces(5) file used by ifup(8) and ifdown(8)

# Please note that this file is written to be used with dhcpcd
# For static IP, consult /etc/dhcpcd.conf and 'man dhcpcd.conf'

# Include files from /etc/network/interfaces.d:
source-directory /etc/network/interfaces.d
Par contre, ça m'a donné l'idée de faire un ifconfig pour vérifier et là, méga surprise, ma carte réseau Ethernet a été renommée avec un nom à la con : "enxb827eb70f456" au lieu de eth0 :shock: :o :shock:
C'est quoi cette histoire ??? Comment ça se fait qu'une interface est renommée comme ça ?
Mon interface Wi-Fi et de loopback n'ont pas été renommées elles. C'est super bizarre.

En tout cas, merci pour la piste, je n'aurai jamais pensé à ça ;)

jpty
Timide
Messages : 333
Inscription : 01 juin 2018, 10:54
Localisation : Nancy

Re: [Sujet officiel] Plugin Monitoring

Message par jpty » 12 sept. 2019, 22:39

phifi a écrit :
12 sept. 2019, 08:44
Bonjour,

Tu peux en une seule ligne, récupérer plusieurs valeurs de plusieurs commandes.

Exemple : TEMP1="test1"; TEMP2="test2"; echo $TEMP1 - $TEMP2
A la place de "testx", tu mets tes commandes.
benj29 a écrit :
12 sept. 2019, 12:10
Bon, j'ai progressé j'arrive à récupérer la température du CPU. J'ai fait plus simple.

Par contre, l'enchainement TEST des commandes avec echo au bout ne marche pas, il m'affiche les commandes en clair.

J'ai tenté avec une sortie num, autre, rien n'y fait.

Image
Bonsoir,
Pour mettre le résultat d'une commande dans une variable, de mon temps c'était la commande entre backquote et pas entre guillemets
(backquote = accent grave)

Code : Tout sélectionner

TEMP1=`commande1`; echo $TEMP1
JP

Mips2648
Actif
Messages : 932
Inscription : 08 sept. 2018, 17:09

Re: [Sujet officiel] Plugin Monitoring

Message par Mips2648 » 13 sept. 2019, 18:03

djelau a écrit :
12 sept. 2019, 17:38
Bonjour à tous,

question de neophyte: comment récuperer la version de ce plugin compatible avec Jeedom v3.x. Celui sur le market est pour Jeedom v4 et bien évidemment ce n'est pas compatible avec ma Jeedom actuelle.
Celui sur le market est pour jeedom 3.
Qu'est-ce qui te fait dire le contraire?
Développeur et auteur des plugins suivants, (entre autre Arlo, Solaredge, Design Image, Gotify...) et aidant sur plein d'autres!

Si vous voulez contribuer, un don fait toujours plaisir : https://paypal.me/mips2648

Marupaix
Timide
Messages : 107
Inscription : 19 mars 2015, 12:55
Localisation : Marseille

Re: [Sujet officiel] Plugin Monitoring

Message par Marupaix » 13 sept. 2019, 18:29

Mips2648 a écrit :
13 sept. 2019, 18:03
djelau a écrit :
12 sept. 2019, 17:38
Bonjour à tous,

question de neophyte: comment récuperer la version de ce plugin compatible avec Jeedom v3.x. Celui sur le market est pour Jeedom v4 et bien évidemment ce n'est pas compatible avec ma Jeedom actuelle.
Celui sur le market est pour jeedom 3.
Qu'est-ce qui te fait dire le contraire?
Bonjour,
2019-09-13 18_24_00-Window.jpg
2019-09-13 18_24_00-Window.jpg (21.08 Kio) Consulté 842 fois
La version de Jeedom est la 3.3.31. Il est proposé de mettre à jour le plugin Monitoring mais cela ne réussi pas car il demande la version 4.0
J'ai une autre machine de test qui, elle, est en 4.0 et là la mise à jour s'est bien déroulée.

Cordialement.

Mips2648
Actif
Messages : 932
Inscription : 08 sept. 2018, 17:09

Re: [Sujet officiel] Plugin Monitoring

Message par Mips2648 » 13 sept. 2019, 18:30

T'es sur la beta du plugin? install la stable
Développeur et auteur des plugins suivants, (entre autre Arlo, Solaredge, Design Image, Gotify...) et aidant sur plein d'autres!

Si vous voulez contribuer, un don fait toujours plaisir : https://paypal.me/mips2648

Marupaix
Timide
Messages : 107
Inscription : 19 mars 2015, 12:55
Localisation : Marseille

Re: [Sujet officiel] Plugin Monitoring

Message par Marupaix » 13 sept. 2019, 18:36

Mips2648 a écrit :
13 sept. 2019, 18:30
T'es sur la beta du plugin? install la stable
Cela ne joue pas. Je n'ai jamais demandé à installer de version béta d'aucuns plugins, ni jamais passé ma version de Jeedom en béta mais j'ai quand même 3 de ceux-ci. Impérihome, ACPUPS et Monitoring donc.
La version stable ou béta ne changera rien et ne change rien. Le plugin a été passé avec la version minimum en 4.0 (il me semble que cela s'était déjà produit il y a quelques mois)
un ami à moi est en version stable et il a le même message.

En complément, si je me connecte pour mise à jour du plugin :
2019-09-13 18_40_51-Window.jpg
2019-09-13 18_40_51-Window.jpg (108.09 Kio) Consulté 829 fois
Il y a bien la ligne "Votre version de Jeedom n'est pas assez récente pour activer ce plugin"

Cordialement.

Avatar de l’utilisateur
Fabrice
Modérateur
Messages : 3424
Inscription : 27 oct. 2016, 22:26
Localisation : Planète terre, IDF, 93

Re: [Sujet officiel] Plugin Monitoring

Message par Fabrice » 13 sept. 2019, 19:38

La version STABLE du plugin demande Jeedom 3.0 minimum :

Code : Tout sélectionner

Informations complémentaires
Taille 53.17 KB
Lien

Installation 12151
Type plugin
Langue disponible
Dernière mise à jour le 2019-09-12 06:09:08
Version minimum 3.0
C'est ce qui est visible en allant ici :
https://www.jeedom.com/market/index.php ... monitoring

Je suis en Jeedom Stable 3.3.31 et je n'affiche pas les informations que vous montrez.
- Supprimez la version Bêta
- Vérifiez que vous avez bien, dans la configuration market de Jeedom, pointé sur la version STABLE
Helper Officiel Jeedom
- Jeedom : 3.3.36
- Protocole : Z-Wave / RFXcom / BLEA
- Raspberry Pi : Pi 3 B+ / Pi 3 B / Pi Zero W

Marupaix
Timide
Messages : 107
Inscription : 19 mars 2015, 12:55
Localisation : Marseille

Re: [Sujet officiel] Plugin Monitoring

Message par Marupaix » 13 sept. 2019, 19:57

Fabrice a écrit :
13 sept. 2019, 19:38
La version STABLE du plugin demande Jeedom 3.0 minimum :

Code : Tout sélectionner

Informations complémentaires
Taille 53.17 KB
Lien

Installation 12151
Type plugin
Langue disponible
Dernière mise à jour le 2019-09-12 06:09:08
Version minimum 3.0
C'est ce qui est visible en allant ici :
https://www.jeedom.com/market/index.php ... monitoring

Je suis en Jeedom Stable 3.3.31 et je n'affiche pas les informations que vous montrez.
- Supprimez la version Bêta
- Vérifiez que vous avez bien, dans la configuration market de Jeedom, pointé sur la version STABLE
Je l'entends bien mais la page que je vous montre est celle dans la configuration du plugin et en appuyant sur la touche "Version stable"
Si c'est pour la désinstaller et avoir le même message, alors très peu pour moi.
Un message au-dessus de l'un des miens indique que la personne ne peut pas installer le plugin car il se trouve en v3.3.31 et qu'il est demandé d'être en v4.xx
Il peut être indiqué v3.0 minimum comme v2.0, cela ne changera rien. Ce n'est qu'informatif ...
Le plugin demande une version mini v4.0, c'est tout.
Merci pour votre aide, mais le souci reste présent.

Mips2648
Actif
Messages : 932
Inscription : 08 sept. 2018, 17:09

Re: [Sujet officiel] Plugin Monitoring

Message par Mips2648 » 13 sept. 2019, 20:08

Marupaix a écrit :
13 sept. 2019, 18:36
La version stable ou béta ne changera rien et ne change rien. Le plugin a été passé avec la version minimum en 4.0 (il me semble que cela s'était déjà produit il y a quelques mois)
un ami à moi est en version stable et il a le même message.
c'est complétement faux:
- version stable ou beta changera tout.
- le plugin n'a pas été passé en version 4.0

mais oui, cela a été le cas il y a quelques mois.


exemple si tu es en stable:
plugin_mon.PNG
plugin_mon.PNG (11.36 Kio) Consulté 811 fois
Et va voir sur le market via le site (pas dans jeedom): https://www.jeedom.com/market/index.php ... monitoring
tu verras que la version requise est bien la 3.0;
Développeur et auteur des plugins suivants, (entre autre Arlo, Solaredge, Design Image, Gotify...) et aidant sur plein d'autres!

Si vous voulez contribuer, un don fait toujours plaisir : https://paypal.me/mips2648

Mips2648
Actif
Messages : 932
Inscription : 08 sept. 2018, 17:09

Re: [Sujet officiel] Plugin Monitoring

Message par Mips2648 » 13 sept. 2019, 20:14

Il peut être indiqué v3.0 minimum comme v2.0, cela ne changera rien. Ce n'est qu'informatif ...
Le plugin demande une version mini v4.0, c'est tout.
ca aussi c'est faux, ce n'est pas uniquement informatif.

Par contre, j'ai reproduis ton problème sur un jeedom de test (qui est en version 3)

- il faut avoir installé le plugin en stable
- retourner dans le market et installer la beta; et là est le problème, jeedom devrait bloqué mais il ne le fait pas
- là j'ai le meme écran dans la config du plugin.

Il faudrait désinstaller complétement le plugin (et une suppression simple via interface ne fonctionne pas) et le réinstaller en stable
je vais continuer à tester cela.
Développeur et auteur des plugins suivants, (entre autre Arlo, Solaredge, Design Image, Gotify...) et aidant sur plein d'autres!

Si vous voulez contribuer, un don fait toujours plaisir : https://paypal.me/mips2648

Marupaix
Timide
Messages : 107
Inscription : 19 mars 2015, 12:55
Localisation : Marseille

Re: [Sujet officiel] Plugin Monitoring

Message par Marupaix » 13 sept. 2019, 20:16

Mips2648 a écrit :
13 sept. 2019, 20:08
Marupaix a écrit :
13 sept. 2019, 18:36
La version stable ou béta ne changera rien et ne change rien. Le plugin a été passé avec la version minimum en 4.0 (il me semble que cela s'était déjà produit il y a quelques mois)
un ami à moi est en version stable et il a le même message.
c'est complétement faux:
- version stable ou beta changera tout.
- le plugin n'a pas été passé en version 4.0

mais oui, cela a été le cas il y a quelques mois.


exemple si tu es en stable:
plugin_mon.PNG

Et va voir sur le market via le site (pas dans jeedom): https://www.jeedom.com/market/index.php ... monitoring
tu verras que la version requise est bien la 3.0;
Je ne remets pas en doute vos propos et je vous demanderai de ne pas remettre les miens ainsi que la personne qui ne peut installer le sien.
Voici une nouvelle page écran après avoir cliquer sur le bouton stable. Pas d'installation ou alors non visible, il est bien indiqué "Stable" mais version mini 4.0
2019-09-13 20_13_34-Window.jpg
2019-09-13 20_13_34-Window.jpg (21.79 Kio) Consulté 803 fois

Marupaix
Timide
Messages : 107
Inscription : 19 mars 2015, 12:55
Localisation : Marseille

Re: [Sujet officiel] Plugin Monitoring

Message par Marupaix » 13 sept. 2019, 20:20

D'ailleurs voici la page après avoir désinstaller le plugin, mettre rendu dans le market et installer la stable.
2019-09-13 20_17_32-Window.jpg
2019-09-13 20_17_32-Window.jpg (103.79 Kio) Consulté 797 fois
Comme dit plus haut, bien m'en a pris ...
Je suis en stable pour la version de Jeedom et c'est bien la version stable du plugin installé mais celui-ci réclame une version 4.0 de Jeedom.
Alors je veux bien croire et entendre qu'il faut simplement une version 3.0 mais là ...

Avatar de l’utilisateur
Fabrice
Modérateur
Messages : 3424
Inscription : 27 oct. 2016, 22:26
Localisation : Planète terre, IDF, 93

Re: [Sujet officiel] Plugin Monitoring

Message par Fabrice » 13 sept. 2019, 20:29

Il faut supprimer le plugin en SSH, il vous a été signalé (juste au dessus de vos réponses) que la suppression via l'interface ne suffisait pas.
- Si cela ne suffit pas, il est encore possible de faire un peut de ménage en base de données.

Ensuite, vous installez la version stable, qui est bien "Jeedom version 3.0 minimale".
Helper Officiel Jeedom
- Jeedom : 3.3.36
- Protocole : Z-Wave / RFXcom / BLEA
- Raspberry Pi : Pi 3 B+ / Pi 3 B / Pi Zero W

Mips2648
Actif
Messages : 932
Inscription : 08 sept. 2018, 17:09

Re: [Sujet officiel] Plugin Monitoring

Message par Mips2648 » 14 sept. 2019, 08:19

Marupaix a écrit :
13 sept. 2019, 20:16
Je ne remets pas en doute vos propos et je vous demanderai de ne pas remettre les miens ainsi que la personne qui ne peut installer le sien.
Voici une nouvelle page écran après avoir cliquer sur le bouton stable. Pas d'installation ou alors non visible, il est bien indiqué "Stable" mais version mini 4.0
Je ne remet pas que en "doute", j'affirme avec certitude que c'est faux, je dément catégoriquement.
Et je continuerai à le faire quand je suis sur pour éviter que d'autres personnes ne le croient.

Vous pouvez aussi aller voir le code du plugin: https://github.com/phifi92/Monitoring
la version requise est indiquée dans le fichier plugin_info/info.json; et vous verrez qu'en fait aucune version ne demande la v4

Par contre je n'ai jamais remis en doute que vous aviez un problème.
Et je ne fais pas que ça, je teste aussi de mon côté et j'ai même réussi à reproduire! vous n'êtes pas fou ;-)
mips2648 a écrit : Par contre, j'ai reproduis ton problème sur un jeedom de test (qui est en version 3)

- il faut avoir installé le plugin en stable
- retourner dans le market et installer la beta; et là est le problème, jeedom devrait bloqué mais il ne le fait pas
- là j'ai le meme écran dans la config du plugin.

Il faudrait désinstaller complétement le plugin (et une suppression simple via interface ne fonctionne pas) et le réinstaller en stable
je vais continuer à tester cela.
Mais je n'arrive pas à rétablir la situation chez moi: même en nettoyant tout ce que je trouve, je reste bloqué sur cette version v4.
j'ai remonté le point à l'équipe Jeedom car je suspecte un problème dans le market (mais ca je ne l'affirme pas, car je n'en suis pas certain :lol:)
Développeur et auteur des plugins suivants, (entre autre Arlo, Solaredge, Design Image, Gotify...) et aidant sur plein d'autres!

Si vous voulez contribuer, un don fait toujours plaisir : https://paypal.me/mips2648

Avatar de l’utilisateur
fwehrle
Actif
Messages : 2824
Inscription : 01 juil. 2015, 11:03
Localisation : Strasbourg

Re: [Sujet officiel] Plugin Monitoring

Message par fwehrle » 14 sept. 2019, 08:41

HerveK a écrit :"Non Jeff t'es pas tout seul"
J. Brel

Sur 3 monitoring j'en ai un dans le meme cas
Lol. Joli. Fallait pas la louper celle-là.
Jeedom 3 sur Debian 9 en VM Proxmox 5 sur NUC Intel.
(Anciennement sur Docker sur Syno DS-415+ / MariaDB / DSM 6)
Teleinfo / RFXCom / Stick ZWave / IPX / Serveur Traccar / Blea

Marupaix
Timide
Messages : 107
Inscription : 19 mars 2015, 12:55
Localisation : Marseille

Re: [Sujet officiel] Plugin Monitoring

Message par Marupaix » 14 sept. 2019, 10:39

Bonjour Mips2648,
Je comprends que ce plugin nécessite une version mini 3.0 de Jeedom et vous l'indiquez bien dans vos propos mais également dans vos liens.
Mais malheureusement les indications sur mon écran, amène à une autre perception certes erronée à la lecture des différents posts, mais qui posent souci et confusion.
Je constate que vous avez pu reproduire mon souci et que tout comme moi, vous ne pouvez plus revenir en arrière.
A voir ce qu'en pensera l'équipe de Jeedom qui a énormément de pain sur la planche en ce moment avec la sortie de la Release candidat de la V4
Merci pour avoir consacré de votre temps à la recréation de mon bug et bon weekend à tous.

Mips2648
Actif
Messages : 932
Inscription : 08 sept. 2018, 17:09

Re: [Sujet officiel] Plugin Monitoring

Message par Mips2648 » 14 sept. 2019, 11:42

J'ai reçu une réponse, positive !

Loic a forcé une mise à jour du market qui apparemment était bien bloqué pour certaine branches car du coup, chez moi, en réinstallant la version stable (au-dessus de l'autre, pas besoin de désinstaller avant) c'est bien la dernière version avec min requis v3 qui est installée sur mon jeedom.

Problème réglé donc... et restez en stable ;-)
Développeur et auteur des plugins suivants, (entre autre Arlo, Solaredge, Design Image, Gotify...) et aidant sur plein d'autres!

Si vous voulez contribuer, un don fait toujours plaisir : https://paypal.me/mips2648

Répondre

Revenir vers « [Plugin Tiers] Monitoring »

Qui est en ligne ?

Utilisateurs parcourant ce forum : Aucun utilisateur inscrit et 1 invité